Index: trunk/LMDZ.MARS/libf/aeronomars/param_read.F
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/param_read.F	(revision 633)
+++ trunk/LMDZ.MARS/libf/aeronomars/param_read.F	(revision 635)
@@ -5,65 +5,96 @@
 
 c     common variables and constants
-
-#include "param.h"
-#include "param_v3.h"
-#include "datafile.h"
-
-
+      include "dimensions.h"
+      include "dimphys.h"
+      include 'param.h'
+      include 'param_v4.h'
+      include 'datafile.h'
+ 
+ 
 c     local variables
 
       integer    i,j,k,inter                          !indexes
-      integer ierr 
+      integer ierr,lnblnk 
       real       nada
-      logical,save :: firstcall=.true.
-
-     
+  
+      
 c*************************+PROGRAM STARTS**************************
 
 
-c     data
-      if (firstcall) then
-      anchint(:)=(/4.9,5.3,6.1,12.8,2.0,6.9,11.8,0.4,1.9,4.9,0.9,4.0,
-     $6.9,4.9,4.9,10.2,5.6,1.9,0.9,0.9,0.9,0.9,3.7
-     $,13.1,3.9,6.0,4.8,23.9,8.4,8.5,26.8,7.5,127.6/)
-
-      crscabsi2(1,1:ninter2)=(/0.0,4.42e-18,7.51e-18
-     $,1.498e-17,2.344e-17,2.388e-17,2.927E-17,3.161e-17,3.161e-17,
-     $3.4e-17,3.4e-17,2.588e-17,2.596e-17,2.248e-17,3.183e-17,
-     $1.284e-17/)
-
-      crscabsi2(2,1:ninter2)=(/2.736e-19,1.055e-18,4.789e-18
-     $,1.063e-17,1.559e-17,1.698e-17,2.164e-17,2.241e-17,2.427e-17,
-     $2.444e-17,2.502e-17,2.516e-17,2.907e-17,3.649e-17,3.066e-17,
-     $2.093e-17/)
-
-      crscabsi2(3,1:ninter2)=(/2.603e-19,6.985e-19,3.97e-18
-     $,6.621e-18,8.433e-18,9.011e-18,9.862e-18,1.033e-17,1.012e-17,
-     $1.033e-17,1.033e-17,1.034e-17,9.0e-18,3.564e-18,3.572e-18
-     $,3.47E-18/)
-
-      freccen(:)=(/3.4,7.5,14.5,23.0,30.3,34.1,49.6,50.5,52.5,56.0,
+c     data for the UV heating tabulation
+
+      data (crscabsi2(1,j),j=1,16) /5.61031E-19,1.59677E-18,4.7072E-18,
+     $     1.48254e-17,2.07445e-17,2.573e-17,2.901e-17,3.083e-17,
+     $     3.217e-17,3.539e-17,3.658e-17,3.63e-17,3.41239e-17,
+     $     2.71019e-17,4.93677e-17,1.64e-17/
+
+      data (crscabsi2(2,j),j=1,16) /0.27250E-18,0.11650E-17,0.39250E-17,
+     $     0.10630E-16,0.15590E-16,0.17180E-16,0.19270E-16,0.22860E-16,
+     $     0.24270E-16,0.24440E-16,0.25020E-16,0.26600E-16,0.25400E-16,
+     $     0.35800E-16,0.25590E-16,0.16740E-16/
+
+      data (crscabsi2(3,j),j=1,16) /0.2776E-18,0.9792E-18,0.3313E-17,
+     $     0.6621E-17,0.8481E-17,0.9146E-17,0.9414E-17,0.1039E-16,
+     $     0.1012E-16,0.1033E-16,0.1033E-16,0.1033E-16,0.8268E-17,
+     $     0.6563E-17,0.3506E-17,0.3470E-17/
+
+      data (crscabsi2(5,j),j=1,16) /.5E-20,.1077607E-19,.5670491E-19,
+     $     .3322716E-18,.1054509E-17,.1700005E-17,.3171188E-17,
+     $     .4734241E-17,.5108741E-17,.6022236E-17,.6741537E-17,
+     $     .7277079E-17,.9070787E-17,.9708916E-17,.4026281E-17,0.0/
+
+      data (crscabsi2(8,j),j=1,16) /0.0, 7.44175e-19, 2.23167e-18,
+     $    8.46200e-18,1.18275e-17,1.54900e-17,2.32475e-17,2.41373e-17,
+     $     2.55482e-17,2.38431e-17,2.28600e-17,2.35067e-17,2.56000e-17,
+     $     2.64636e-17,2.86260e-17,3.26561e-17/
+
+      data(crscabsi2(9,j),j=1,16) /3.48182e-20,3.37038e-19,1.03077e-18,
+     $     4.01364e-18,6.45e-18,7.8e-18,1.0e-17,1.13500e-17,1.15500e-17,
+     $     1.18000e-17,1.17500e-17,1.16000e-17,1.28667e-17,1.18500e-17,
+     $     1.11000e-17,9.50000e-18/
+
+      data(crscabsi2(10,j),j=1,16) /0.0,9.39833e-19,2.87714e-18,
+     $     9.66900e-18,1.37063e-17,1.61820e-17,2.30450e-17,2.63373e-17,
+     $     2.63773e-17,2.67677e-17,2.64100e-17,2.53000e-17,2.18100e-17,
+     $     2.04941e-17,2.28160e-17,2.93550e-17/
+
+      data(crscabsi2(11,j),j=1,16) /0.0,9.58555e-19,2.52767e-18,
+     $     8.29700e-18,1.21850e-17,1.40500e-17,1.97025e-17,2.12018e-17,
+     $     2.14673e-17,2.20331e-17,2.21500e-17,2.21600e-17,2.33200e-17,
+     $     2.67800e-17,2.56400e-17,3.58561e-17/
+
+      data(crscabsi2(12,j),j=1,16) /0.0,1.0e-20,2.5e-20,1.30400e-19,
+     $     2.93800e-19,4.36000e-19,8.49400e-19,1.29400e-18,1.40500e-18,
+     $     1.67600e-18,1.93400e-18,2.12200e-18,2.75800e-18,3.48400e-18,
+     $     4.17200e-18,5.26000e-18/
+
+      data(crscabsi2(13,j),j=1,16) /0.0,1.60e-18,4.99111e-18,1.48496e-17
+     $     ,2.17395e-17,2.55857e-17,2.87754e-17,3.65571e-17,3.85691e-17,
+     $     4.16286e-17,4.15117e-17,4.05901e-17,3.64000e-17,2.99670e-17,
+     $     2.46796e-17,2.51789e-17/
+
+      data freccen /3.4,7.5,14.5,23.0,30.3,34.1,49.6,50.5,52.5,56.0,
      $59.0,61.5,68.7,73.1,78.4,83.1,92.4,97.5,99.3,100.1,100.7,102.1,
      $104.5,116.8,121.3,127.0,130.6,153.7,162.8,171.4
-     $,195.6,206.3,273.5/)
-
-      co2crsc195(:)=(/3.691e-19,4.44216e-20,3.86945e-19,5.94208e-19,
-     $2.93217e-19,7.58769e-20,8.60192e-21,4.20007e-24,2.29996e-26/)
-
-      co2crsc295(:)=(/3.691e-19,5.21572e-20,4.23488e-19,6.54728e-19,
-     $3.30227e-19,1.03183e-19,1.55722e-20,1.72317e-23,7.0e-25/)
-      
-      firstcall=.false.
-      endif ! of if (firstcall)
+     $,195.6,206.3,222.0,236.0,289.0,600./
+
+      data co2crsc195/2.05864e-17,5.90557e-20,3.1027e-19,6.70653e-19,
+     $4.55132e-19,8.87122e-20,1.32138e-20,7.22244e-23,2.88002e-26/
+
+      data co2crsc295/2.05897e-17,6.71104e-20,3.45509e-19,7.45711e-19,
+     $4.82752e-19,1.11594e-19,1.98308e-20,1.3853e-22,2.1414e-25/
 
 c     Reads tabulated functions
 
-      open(210,status='old',file=trim(datafile)//'/EUVDAT/coln.dat',
-     & iostat=ierr)
-
-      IF (ierr.NE.0) THEN
+      !Tabulated column amount
+      open(210, status = 'old',
+c    $file=datafile(1:lnblnk(datafile))//'/EUVDAT/coln.dat',iostat=ierr)
+     $file=datafile
+     $   (1:lnblnk(datafile))//'/EUVDAT/param_v5/coln.dat',iostat=ierr)
+
+      IF (ierr.NE.0) THEN 
        write(*,*)'cant find directory EUVDAT and content coln.dat'
-       write(*,*)'(in aeronomars/param_read.F)'
-       write(*,*)'It should be in :',trim(datafile),'/'
+       write(*,*)'(in aeronomars/param_read_iono.F)'
+       write(*,*)'It should be in :', datafile,'/'
        write(*,*)'1) You can change this directory address in '
        write(*,*)'   file phymars/datafile.h'
@@ -73,157 +104,364 @@
        STOP
       ENDIF
-
-      open(220,file=trim(datafile)//'/EUVDAT/j2_an.dat')
-      open(230,file=trim(datafile)//'/EUVDAT/j3_an.dat')
-      open(240,file=trim(datafile)//'/EUVDAT/j1_an.dat')
-      open(250,file=trim(datafile)//'/EUVDAT/j2_bn.dat')
-      open(260,file=trim(datafile)//'/EUVDAT/j2_cn.dat')
-      open(270,file=trim(datafile)//'/EUVDAT/j1_bn.dat')
-      open(280,file=trim(datafile)//'/EUVDAT/j1_cn.dat')
-      open(290,file=trim(datafile)//'/EUVDAT/j1_dn.dat')
-      open(150,file=trim(datafile)//'/EUVDAT/j4n.dat')
-      open(160,file=trim(datafile)//'/EUVDAT/j5n.dat')
-      open(170,file=trim(datafile)//'/EUVDAT/j6n.dat')
-
-      do i=210,290,10
-         read(i,*)
-         read(i,*)
-      end do
-
-      do i=150,170,10
-         read(i,*)
-         read(i,*)
-      end do
-
-      do i=nz2,1,-1
-        read(210,*) c23(i),(c123(j,i),j=2,ninter2),c12(i),c1(i),ch2o2(i)
-      end do
-
-      do i=nz2,1,-1
-         read(220,*) (jabsifotsint(j,2,i),j=1,ninter2)
-      end do
-      
-      do i=nz2,1,-1
-         read(230,*) (jabsifotsint(j,3,i),j=1,ninter2)
-      end do
-
-      do i=nz2,1,-1
-         read(240,*) (jabsifotsint(j,1,i),j=2,ninter2)
-      end do
-
-      do i=nz2,1,-1
-         read(250,*) (jabsifotsint(j,2,i),j=17,24)
-      end do
-
-      do i=nz2,1,-1
-         read(260,*) (jabsifotsint(j,2,i),j=25,31)
-      end do
-
-      do i=nz2,1,-1
-         read(270,*) (jabsifotsint(j,1,i),j=17,24)
-      end do
-
-      do i=nz2,1,-1
-         read(280,*) (jabsifotsint(j,1,i),j=25,31)
-      end do
-
-      do i=nz2,1,-1
-         read(290,*) jabsifotsint(32,1,i)
-      end do
-
-      do i=nz2,1,-1
-         read(160,*) (jabsifotsint(j,5,i),j=1,15)
-      end do
-
-      do i=nz2,1,-1
-         read(150,*) (jabsifotsint(j,4,i),j=25,31)
-      end do
-
-      do i=nz2,1,-1
-         read(170,*) (jabsifotsint(j,6,i),j=25,33)
-      end do
-
-      do i=210,290,10
+ 
+      !Tabulated photoabsorption coefficients
+      open(220,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/j2_an.dat')
+      open(230,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/j3_an.dat')
+      open(240,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/j1_an.dat')
+      open(250,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/j2_bn.dat')
+      open(260,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/j2_cn.dat')
+      open(300,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j2_dn.dat')
+      open(270,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j1_bn.dat')
+      open(280,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j1_cn.dat')
+      open(290,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j1_dn.dat')
+      open(150,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j4n.dat')
+      open(160,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j5n.dat')
+      open(170,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j6n.dat')
+      open(180,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j7n.dat')
+      open(390,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j8_an.dat')
+      open(400,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j8_bn.dat')
+      open(410,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j9n.dat')
+      open(420,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j10_an.dat')
+      open(430,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j10_bn.dat')
+      open(440,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j10_cn.dat')
+      open(450,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j11_an.dat')
+      open(460,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j11_bn.dat')
+      open(470,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j11_cn.dat')
+      open(480,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j12n.dat')
+      open(490,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j13_an.dat')
+      open(500,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j13_bn.dat')
+      open(510,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT//param_v5/j13_cn.dat')
+
+      
+      do i=210,300,10
+         read(i,*)
+         read(i,*)
+      end do
+
+      do i=150,180,10
+         read(i,*)
+         read(i,*)
+      end do
+
+      do i=390,510,10
+         read(i,*)
+         read(i,*)
+      enddo
+
+      do i=nz2,1,-1
+         read(210,*) (c1_16(i,j),j=1,16),c17_24(i),c25_29(i),c30_31(i),
+     $        c32(i),c33(i),c34(i),c35(i),c36(i)
+      end do
+
+      do i=nz2,1,-1
+         read(220,*) (jabsifotsintpar(j,2,i),j=1,16)
+      end do
+      
+      do i=nz2,1,-1
+         read(230,*) (jabsifotsintpar(j,3,i),j=1,16)
+      end do
+
+      do i=nz2,1,-1
+         read(240,*) (jabsifotsintpar(j,1,i),j=1,16)
+      end do
+
+      do i=nz2,1,-1
+         read(250,*) (jabsifotsintpar(j,2,i),j=17,24)
+      end do
+
+
+      do i=nz2,1,-1
+         read(260,*) (jabsifotsintpar(j,2,i),j=25,31)
+      end do
+
+      do i=nz2,1,-1
+         read(270,*) (jabsifotsintpar(j,1,i),j=17,24)
+      end do
+
+      do i=nz2,1,-1
+         read(280,*) (jabsifotsintpar(j,1,i),j=25,31)
+      end do
+
+      do i=nz2,1,-1
+         read(290,*) jabsifotsintpar(32,1,i)
+      end do
+
+      do i=nz2,1,-1
+         read(300,*) (jabsifotsintpar(j,2,i),j=32,34)
+      end do
+
+      do i=nz2,1,-1
+         read(160,*) (jabsifotsintpar(j,5,i),j=1,15)
+      end do
+
+      do i=nz2,1,-1
+         read(150,*) (jabsifotsintpar(j,4,i),j=25,31)
+      end do
+
+      do i=nz2,1,-1
+         read(170,*) (jabsifotsintpar(j,6,i),j=25,35)
+      end do
+
+      do i=nz2,1,-1
+         read(180,*) (jabsifotsintpar(j,7,i),j=34,36)
+      end do
+
+      do i=nz2,1,-1
+         read(390,*) (jabsifotsintpar(j,8,i),j=2,16)
+      enddo
+
+      do i=nz2,1,-1
+         read(400,*) (jabsifotsintpar(j,8,i),j=17,24)
+      enddo
+
+      do i=nz2,1,-1
+         read(410,*) (jabsifotsintpar(j,9,i),j=1,16)
+      enddo
+
+      do i=nz2,1,-1
+         read(420,*) (jabsifotsintpar(j,10,i),j=2,16)
+      enddo
+
+      do i=nz2,1,-1
+         read(430,*) (jabsifotsintpar(j,10,i),j=17,24)
+      enddo
+
+      do i=nz2,1,-1
+         read(440,*) (jabsifotsintpar(j,10,i),j=25,32)
+      enddo
+
+      do i=nz2,1,-1
+         read(450,*) (jabsifotsintpar(j,11,i),j=2,16)
+      enddo
+
+      do i=nz2,1,-1
+         read(460,*) (jabsifotsintpar(j,11,i),j=17,24)
+      enddo
+
+      do i=nz2,1,-1
+         read(470,*) (jabsifotsintpar(j,11,i),j=25,29)
+      enddo
+      
+      do i=nz2,1,-1
+         read(480,*) (jabsifotsintpar(j,12,i),j=2,16)
+      enddo
+
+      do i=nz2,1,-1
+         read(490,*) (jabsifotsintpar(j,13,i),j=2,16)
+      enddo
+      
+      do i=nz2,1,-1
+         read(500,*) (jabsifotsintpar(j,13,i),j=17,24)
+      enddo
+      
+      do i=nz2,1,-1
+         read(510,*) (jabsifotsintpar(j,13,i),j=25,36)
+      enddo
+
+      do i=210,300,10
          close(i)
       end do
 
-      do i=150,170,10
+      do i=150,180,10
          close(i)
       end do
 
-
-c     reads t0
-
-      open(120,file=trim(datafile)//'/EUVDAT/t0.dat')
-      do i=1,201
-         read(120,*)t0(i)
-      end do
-      close(120)
-
-      open(100,file=trim(datafile)//'/EUVDAT/flujo.dat')
+      do i=390,510,10
+         close(i)
+      enddo
+
+
+c     set t0
+
+      do i=1,nz2
+         t0(i)=195.
+      end do
+
+
       do i=1,ninter
-         read(100,*) inter,fluxtophr(i)
+         fluxtop(i)=1.
+      end do
+
+      !Parameters for the variation of the solar flux with 11 years cycle
+      open(100,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/varflujo.dat')
+      read(100,*)
+      do i=1,24
+         read(100,*) inter,ct1(i),p1(i),ct2(i),p2(i),nada
       end do
       close(100)
 
-
-      open(99,file=trim(datafile)//'/EUVDAT/varflujo.dat')
-      read(99,*)
-      do i=1,24
-         read(99,*) inter,ct1(i),p1(i),ct2(i),p2(i),nada
-      end do
-      close(99)
-
-c     eficiencias de disociacion (de Torr et al, 1979)
-
-      do inter=1,11
-         efdisco2(inter) = 0.
-         efdiso2(inter) = 0.
-      end do
-
+c     dissociation and ionization efficiencies
+
+      do inter=1,ninter
+         efdisco2(inter)=0.
+         efdiso2(inter)=0.
+         efdish2(inter)=0.
+         efdish2o(inter)=0.
+         efdish2o2(inter)=0.
+         efdiso3(inter)=0.
+         efdisco(inter)=0.
+         efdisn2(inter)=0.
+         efdisno(inter)=0.
+         efdisno2(inter)=0.
+         efionco2(inter,1)=0.
+         efionco2(inter,2)=0.
+         efionco2(inter,3)=0.
+         efionco2(inter,4)=0.
+         efiono3p(inter)=0.
+         efionn2(inter,1)=0.
+         efionn2(inter,2)=0.
+         efionco(inter,1)=0.
+         efionco(inter,2)=0.
+         efionco(inter,3)=0.
+         efionn(inter)=0.
+         efionh(inter)=0.
+         efionno(inter)=0.
+      enddo
+
+
+c     CO2, O2, NO
+
+      open(120,file=datafile
+     $     (1:lnblnk(datafile))//'/EUVDAT/param_v5/efdis_inter.dat')
+      read(120,*)
+!      do i=1,21
+!         read(120,*)inter,efdisco2(inter),efdiso2(inter),efdisno(inter)
+      do inter=8,28
+         read(120,*)i,efdisco2(inter),efdiso2(inter),efdisno(inter)
+      enddo
+      do inter=29,ninter
+         efdisco2(inter)=1.
+         efdiso2(inter)=1.
+         efdisno(inter)=1.
+      enddo
+
+
+c     N2
+
+      efdisn2(15)=0.1
+      do inter=16,ninter
+         efdisn2(inter)=1.
+      enddo
+
+
+c     CO
+
+      efdisco(16)=0.5
+      do inter=17,ninter
+         efdisco(inter)=1.
+      enddo
+
+      
+c     O, N, H
+
+      do inter=1,ninter
+         efdiso(inter)=0.
+         efdisn(inter)=0.
+         efdish(inter)=0.
+      enddo
+
+
+c     H2O, H2O2, O3, NO2
+
+      do inter=25,31
+         efdish2o(inter)=1.
+      enddo
+      do inter=25,35
+         efdish2o2(inter)=1.
+      enddo
+      do inter=34,36
+         efdiso3(inter)=1.
+      enddo
+      do inter=27,36
+         efdisno2(inter)=1.
+      enddo
       do inter=1,15
-         efdish2(inter) = 1.
-      end do
-
-      efdisco2(12) = 0.183
-      efdiso2(12) = 0.003
-
-      efdisco2(13) = 0.163
-      efdiso2(13) = 0.170
-
-      efdisco2(14) = 0.243
-      efdiso2(14) =0.180
-
-      efdisco2(15) = 0.323
-      efdiso2(15) =0.653
-
-      efdisco2(16) = 0.235
-      efdiso2(16) =0.616
-
-      do inter=17,32
-         efdisco2(inter) = 1.0
-      end do
-
-      efdiso2(17) = 0.399
-      do inter=18,20
-         efdiso2(inter) = 0.261
-      end do
-
-      do inter=21,23
-         efdiso2(inter) = 0.755
-      end do
-
-
-      do inter=24,31
-         efdiso2(inter) = 1.
-      end do
-
-      do inter=25,31
-         efdish2o(inter) = 1.
-      end do
-
-      do inter=25,33
-         efdish2o2(inter) = 1.
-      end do
+         efdish2(inter)=1.
+      enddo
+         
+      !4 possible channels for CO2 ionization
+      do inter=14,16
+         efionco2(inter,1)=1.-efdisco2(inter)
+      enddo
+      efionco2(13,1)=0.805*(1.-efdisco2(13))
+      efionco2(13,2)=0.195*(1.-efdisco2(13))
+      do inter=11,12
+         efionco2(inter,3)=1.-efdisco2(inter)
+      enddo
+      efionco2(10,3)=0.9*(1.-efdisco2(10))
+      efionco2(10,4)=0.1*(1.-efdisco2(10))
+      do inter=2,9
+         efionco2(inter,4)=1.-efdisco2(inter)
+      enddo
+
+      !For O(3p) total ionization under 91.1 nm
+      do inter=1,16
+         efiono3p(inter)=1.d0
+      enddo
+
+      !2 channels for N2 ionization
+      do inter=9,15
+         efionn2(inter,1)=1.-efdisn2(inter)
+      enddo
+      do inter=2,8
+         efionn2(inter,2)=1.-efdisn2(inter)
+      enddo
+      
+      !3 channels for CO ionization
+      do inter=11,16
+         efionco(inter,1)=1.-efdisco(inter)
+      enddo
+      efionco(10,1)=0.87*(1.-efdisco(10))
+      efionco(10,2)=0.13*(1.-efdisco(10))
+      do inter=8,9
+         efionco(inter,2)=1.-efdisco(inter)
+      enddo
+      efionco(7,2)=0.1*(1.-efdisco(7))
+      efionco(7,3)=0.9*(1.-efdisco(7))
+      do inter=2,6
+         efionco(inter,3)=1.-efdisco(inter)
+      enddo
+
+      !Total ionization under 85 nm for N
+      do inter=1,16
+         efionn(inter)=1.
+      enddo
+
+      !NO
+      do inter=2,28
+         efionno(inter)=1.-efdisno(inter)
+      enddo
+
+      !Total ionization under 90 nm for H
+      do inter=3,16
+         efionh(inter)=1.
+      enddo
 
 
@@ -232,2 +470,3 @@
 
       end
+
Index: trunk/LMDZ.MARS/libf/aeronomars/param_v4.h
===================================================================
--- trunk/LMDZ.MARS/libf/aeronomars/param_v4.h	(revision 635)
+++ trunk/LMDZ.MARS/libf/aeronomars/param_v4.h	(revision 635)
@@ -0,0 +1,204 @@
+!**********************************************************************
+
+!	param.cmn
+	
+!	fgg     mar 02          first version
+!**********************************************************************
+
+
+      common/uv/ crscabsi2,c1_16,c17_24,c25_29,c30_31,c32,                         &
+     &   c33,c34,c35,c36,jfotsout,co2crsc195,co2crsc295,                           &
+     &   t0,fluxtop,freccen,jabsifotsintpar
+     
+     
+
+      real crscabsi2(nabs,16)    !cross section
+      real c1_16(nz2,16)   !Col. int. 1 (o2+o+h2+n) (cm^-2)
+      real c17_24(nz2)     !Col. int. 17-24 (co2+o2+n2+no+co+no2) (cm^-2)
+      real c25_29(nz2)     !Col. int. 25-29 (co2+o2+h2o+h2o2+no+co+no2) (cm^-2)
+      real c30_31(nz2)     !Col. int. 30-31 (co2+o2+h2o+h2o2+no+no2)
+      real c32(nz2)	   !col. int. 32 (co2+h2o2+o2+no+no2) (cm^-2)
+      real c33(nz2)	   !col. int. 33 (h2o2+o2+no2) (cm^-2)
+      real c34(nz2)	   !col. int. 34 (h2o2+o2+o3+no2) (cm^-2)
+      real c35(nz2)	   !col. int. 35 (h2o2+o3+no2) (cm^-2)
+      real c36(nz2)	   !col. int. 36 (o3+no2) (cm^-2)
+      real jfotsout(ninter,nabs,nlayermx)
+      real co2crsc195(9)
+      real co2crsc295(9)
+      real t0(nz2)
+      real fluxtop(ninter)
+      real freccen(ninter)          !representative wavelenght
+      real jabsifotsintpar(ninter,nabs,nz2)
+
+
+      common/fotoquimica/  ch2, ch3, ch4, ch5, ch7,ch9,ch10,ch11,                &
+     &                     ch13,ch14,ch15,ch18,ch19,ch20,ch21,ch22,              &
+     &                     ch23,ch24,ch30,ch31,ch32,ch33,ch34,ch35,              &
+     &                     ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,              &
+     &                     ch45,ch46,ch47,ch48,ch49,ch50,ch55,ch56,              &
+     &                     ch57,ch58,ch59,ch62,ch63,ch64,ch65,                   &
+     &                     ch66,ch67,ch68,ch69,ch70,ch71,ch72,                   &
+     &                     ch73,ch74,ch75,ch76,ch85,ch86,ch87,                   &
+     &                     jdistot,jdistot_b,jion
+
+      real*8 ch2, ch3, ch4, ch5, ch7,ch9,ch10,ch11,ch13,ch14,ch15,ch18
+      real*8 ch19,ch20,ch21,ch22,ch23,ch24,ch30,ch31,ch32,ch33,ch34
+      real*8 ch35,ch36,ch37,ch38,ch39,ch40,ch41,ch42,ch43,ch45
+      real*8 ch46,ch47,ch48,ch49,ch50,ch55,ch56,ch57,ch58,ch59,ch62 
+      real*8 ch63,ch64,ch65,ch66,ch67,ch68,ch69,ch70,ch71
+      real*8 ch72,ch73,ch74,ch75,ch76,ch85,ch86,ch87
+
+						  !reaction rates
+      real jdistot(nabs,nlayermx)    !photodissociation rates
+      real jdistot_b(nabs,nlayermx)
+     
+      real jion(nabs,nlayermx,4)
+
+
+
+      common/prod/ Pco2,Po2,Po3p,Pco,Ph,Poh,Pho2,Ph2,Ph2o,Po1d,Ph2o2,          &
+     &             Po3,Pn,Pno,Pno2,Pn2,Pn2d,                                   &
+     &             Pco2plus,Poplus,Po2plus,Pelect,Pcoplus,Pcplus,              &
+     &             Pnplus, Pnoplus, Pn2plus, Phplus, Phco2plus,                &
+     &  	   Pco2tot,Po2tot,Po3ptot,Pcotot,Phtot,Pohtot,                 &
+     &             Pho2tot,Ph2tot,Ph2otot,Po1dtot,Ph2o2tot,                    &
+     &             Po3tot,Pntot,Pnotot,Pno2tot,Pn2tot,Pn2dtot,                 &
+     &             Pcoplustot,Pcplustot,                                       &
+     &             Pco2plustot,Poplustot,Po2plustot,Pelecttot,                 &
+     &             Pnplustot,Pnoplustot,Pn2plustot,Phplustot,                  &
+     &             Phco2plustot  
+
+	
+      real*8 Pco2(nlayermx,nreact),Po2(nlayermx,nreact)
+      real*8 Po3p(nlayermx,nreact)
+      real*8 Pco(nlayermx,nreact),Ph(nlayermx,nreact)
+      real*8 Poh(nlayermx,nreact)
+      real*8 Pho2(nlayermx,nreact),Ph2(nlayermx,nreact)
+      real*8 Ph2o(nlayermx,nreact)
+      real*8 Po1d(nlayermx,nreact),Ph2o2(nlayermx,nreact)
+      real*8 Po3(nlayermx,nreact),Pn(nlayermx,nreact)
+      real*8 Pno(nlayermx,nreact)
+      real*8 Pno2(nlayermx,nreact),Pn2(nlayermx,nreact)
+      real*8 Pn2d(nlayermx,nreact)
+      real*8 Pco2plus(nlayermx,nreact),Poplus(nlayermx,nreact)
+      real*8 Po2plus(nlayermx,nreact), Pelect(nlayermx,nreact)
+      real*8 Pcoplus(nlayermx,nreact),Pcplus(nlayermx,nreact)
+      real*8 Pnplus(nlayermx,nreact),Pnoplus(nlayermx,nreact)
+      real*8 Pn2plus(nlayermx,nreact),Phplus(nlayermx,nreact)
+      real*8 Phco2plus(nlayermx,nreact)
+      real*8 Pco2tot(nlayermx),Po2tot(nlayermx)
+      real*8 Po3ptot(nlayermx),Pcotot(nlayermx)
+      real*8 Phtot(nlayermx)
+      real*8 Pohtot(nlayermx),Pho2tot(nlayermx)
+      real*8 Ph2tot(nlayermx),Ph2otot(nlayermx)
+      real*8 Po1dtot(nlayermx),Ph2o2tot(nlayermx)
+      real*8 Po3tot(nlayermx),Pntot(nlayermx),Pnotot(nlayermx)
+      real*8 Pno2tot(nlayermx),Pn2tot(nlayermx),Pn2dtot(nlayermx)
+      real*8 Pco2plustot(nlayermx), Poplustot(nlayermx)
+      real*8 Po2plustot(nlayermx),Pelecttot(nlayermx)
+      real*8 Pcoplustot(nlayermx), Pcplustot(nlayermx)
+      real*8 Pnplustot(nlayermx), Pnoplustot(nlayermx)
+      real*8 Pn2plustot(nlayermx),Phplustot(nlayermx)
+      real*8 Phco2plustot(nlayermx)
+
+
+      common/loss/ Lco2,Lo2,Lo3p,Lco,Lh,Loh,Lho2,Lh2,Lh2o,Lo1d,Lh2o2,         &
+     &             Lo3,Ln,Lno,Lno2,Ln2,Ln2d,Lelect,                           &
+     &             Lco2plus,Lo2plus,Loplus, Lcoplus, Lcplus,                  &
+     &             Lnplus,Lnoplus,Ln2plus, Lhplus, Lhco2plus,                 &
+     &             Lco2tot,Lo2tot,Lo3ptot,Lcotot,Lhtot,Lohtot,                &
+     &             Lho2tot,Lh2tot,Lh2otot,Lo1dtot,Lh2o2tot,                   &
+     &             Lo3tot,Lntot,Lnotot,Lno2tot,Ln2tot,Ln2dtot,                &
+     &             Lcoplustot,Lcplustot,Lco2plustot,Loplustot,                &
+     &             Lo2plustot,Lelecttot,Lnplustot,Lnoplustot,                 &
+     &             Ln2plustot,Lhplustot,Lhco2plustot
+
+	
+      real*8 Lco2(nlayermx,nreact),Lo2(nlayermx,nreact)
+      real*8 Lo3p(nlayermx,nreact)
+      real*8 Lco(nlayermx,nreact),Lh(nlayermx,nreact)
+      real*8 Loh(nlayermx,nreact)
+      real*8 Lho2(nlayermx,nreact),Lh2(nlayermx,nreact)
+      real*8 Lh2o(nlayermx,nreact)
+      real*8 Lo1d(nlayermx,nreact),Lh2o2(nlayermx,nreact)
+      real*8 Lo3(nlayermx,nreact),Ln(nlayermx,nreact)
+      real*8 Lno(nlayermx,nreact)
+      real*8 Lno2(nlayermx,nreact),Ln2(nlayermx,nreact)
+      real*8 Ln2d(nlayermx,nreact)
+      real*8 Lco2plus(nlayermx,nreact), Loplus(nlayermx,nreact)
+      real*8 Lo2plus(nlayermx,nreact), Lelect(nlayermx,nreact)
+      real*8 Lcoplus(nlayermx,nreact), Lcplus(nlayermx,nreact)
+      real*8 Lnplus(nlayermx,nreact), Lnoplus(nlayermx,nreact)
+      real*8 Ln2plus(nlayermx,nreact), Lhplus(nlayermx,nreact)
+      real*8 Lhco2plus(nlayermx,nreact)
+      real*8 Lco2tot(nlayermx),Lo2tot(nlayermx)
+      real*8 Lo3ptot(nlayermx),Lcotot(nlayermx)
+      real*8 Lhtot(nlayermx),Lohtot(nlayermx)
+      real*8 Lho2tot(nlayermx),Lh2tot(nlayermx)
+      real*8 Lh2otot(nlayermx),Lo1dtot(nlayermx)
+      real*8 Lh2o2tot(nlayermx)
+      real*8 Lo3tot(nlayermx),Lntot(nlayermx),Lnotot(nlayermx)
+      real*8 Lno2tot(nlayermx),Ln2tot(nlayermx)
+      real*8 Ln2dtot(nlayermx)
+      real*8 Lco2plustot(nlayermx), Loplustot(nlayermx)
+      real*8 Lo2plustot(nlayermx), Lelecttot(nlayermx)
+      real*8 Lcoplustot(nlayermx), Lcplustot(nlayermx)
+      real*8 Lnplustot(nlayermx), Lnoplustot(nlayermx)
+      real*8 Ln2plustot(nlayermx), Lhplustot(nlayermx)
+      real*8 Lhco2plustot(nlayermx)
+
+
+
+      common/vida/ tminco2,tmino2,tmino3p,tminco,tminh,tminoh,tminho2,        &
+     &               tminh2,tminh2o,tmino1d,tminh2o2,tmino3,tminn,            &
+     &               tminno,tminno2,tminn2,tminn2d,                           &
+     &               tminco2plus,tminoplus,tmino2plus,tmincoplus,             &
+     &               tmincplus,tminnplus,tminnoplus,                          &
+     &               tminn2plus,tminhplus,tminhco2plus
+
+
+
+    	real*8 tminco2(nlayermx),tmino2(nlayermx)
+        real*8 tmino3p(nlayermx),tminco(nlayermx)
+    	real*8 tminh(nlayermx),tminoh(nlayermx)
+        real*8 tminho2(nlayermx),tminh2(nlayermx)
+    	real*8 tminh2o(nlayermx),tmino1d(nlayermx),tminh2o2(nlayermx)
+        real*8 tmino3(nlayermx),tminn(nlayermx),tminno(nlayermx)
+        real*8 tminno2(nlayermx),tminn2(nlayermx),tminn2d(nlayermx)
+        real*8 tminco2plus(nlayermx),tminoplus(nlayermx)
+        real*8 tmino2plus(nlayermx)
+        real*8 tmincoplus(nlayermx)
+        real*8 tmincplus(nlayermx)
+        real*8 tminnplus(nlayermx),tminnoplus(nlayermx)
+        real*8 tminn2plus(nlayermx)
+        real*8 tminhplus(nlayermx),tminhcoplus(nlayermx)
+        real*8 tminhco2plus(nlayermx)
+
+
+      common/flujoctes/ fluxtophr,ct1,p1,ct2,p2   
+ 
+        real fluxtophr(ninter)
+        real ct1(ninter),p1(ninter),ct2(ninter),p2(ninter)       
+
+      common/phdisef/ efdisco2, efdiso2, efdish2, efdish2o, efdish2o2,        &
+     &                efdiso3,efdiso,efdisn,efdish,efdisno,efdisn2,           &
+     &                efdisno2,efdisco,efionco2,efionn2,efionco,              &
+     &                efiono3p,efionn,efionno,efionh
+  
+
+        real efdisco2(ninter), efdiso2(ninter), efdish2o(ninter)
+        real efdish2o2(ninter), efdish2(ninter), efdiso3(ninter)
+        real efdiso(ninter), efdisn(ninter), efdish(ninter)
+        real efdisno(ninter), efdisn2(ninter), efdisno2(ninter)
+        real efdisco(ninter)
+        real efionco2(ninter,4)
+        real efionn2(ninter,2)
+        real efionco(ninter,3)
+        real efiono3p(ninter),efionn(ninter)
+        real efionno(ninter),efionh(ninter)
+
+
+
+
+
+
